[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Which auditd for which kernel?



On Monday, October 25, 2010 10:58:13 am Steve Grubb wrote:
> On Monday, October 25, 2010 10:37:34 am Karl Katzke wrote:
> > What¹s the appropriate response?
> 
> You can use either 1.7.18 or 2.0.5 on a 2.6.25 kernel. However, note that
> the audit code has been branched. The 1.7 branch is maintenance only,
> while active development and new features are on the 2.x branch.

Need to make a clarification here. I realized that there were some cleanups 
made to libaudit.h so that it would be more manageable going forward. I made 
the announcement with the release of 2.0, but forgot about it when answering 
your email:

https://www.redhat.com/archives/linux-audit/2009-August/msg00010.html

The short story is 2.0.x wants 2.6.29 or later. If you want to carry a patch, 
you can probably add back some necessary defines not provided by your kernel 
headers.

-Steve


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]